server {
  listen       80;
  listen       [::]:80;
  server_name  localhost;

  location /register {
    proxy_pass  http://app:8080;
  }
  location /login_token {
    proxy_pass  http://app:8081;
  }
  location /refresh_token {
    proxy_pass  http://app:8082;
  }
  location /guest_token {
    proxy_pass  http://app:8083;
  }
  location /member {
    proxy_pass  http://app:8084;
  }
  location /jwks {
    proxy_pass  http://app:8085;
  }
  location /submit_application {
    proxy_pass  http://app:8086/;
  }
  location /pay {
    proxy_pass  http://app:8087/;
  }
  location /confirm_email {
    proxy_pass  http://app:8088/;
  }
  location /member_admin {
    proxy_pass  http://app:8089/;
  }
  location /member_state_admin/ {
    proxy_pass  http://app:8090/;
  }
  location /oauth2_discord {
    proxy_pass  http://app:8091/;
  }
  location /discord_info {
    proxy_pass  http://app:8092/;
  }
  location /discord_member {
    proxy_pass  http://app:8093/;
  }
}
